curl --request PATCH \
--url https://api.mnemom.ai/v1/agents/{agent_id}/card \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"card_json": {
"card_id": "<string>",
"agent_id": "<string>",
"is_active": true,
"card_json": {},
"conscience_values": [
{
"type": "BOUNDARY",
"name": "<string>",
"content": "<string>"
}
],
"issued_at": "2023-11-07T05:31:56Z"
},
"conscience_values": [
{
"type": "BOUNDARY",
"name": "<string>",
"content": "<string>"
}
]
}
'{
"updated": true,
"card_id": "<string>"
}Update or create the alignment card for an agent. If the agent does not yet have a card, one will be created automatically. Accepts Bearer JWT or API key authentication. Org-scoped API keys can manage cards for any agent within their organization.
curl --request PATCH \
--url https://api.mnemom.ai/v1/agents/{agent_id}/card \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"card_json": {
"card_id": "<string>",
"agent_id": "<string>",
"is_active": true,
"card_json": {},
"conscience_values": [
{
"type": "BOUNDARY",
"name": "<string>",
"content": "<string>"
}
],
"issued_at": "2023-11-07T05:31:56Z"
},
"conscience_values": [
{
"type": "BOUNDARY",
"name": "<string>",
"content": "<string>"
}
]
}
'{
"updated": true,
"card_id": "<string>"
}Supabase JWT token in Authorization: Bearer header
Agent identifier (e.g. smolt-abc123)